image: "khimananda/gitrunner:1" 
variables:
  SOURCE: "."
  DESTINATION: "/srv/http/moovita-mqtt/"
before_script:
    - 'mkdir -p ~/.ssh'
    - 'echo "$private_key" > ~/.ssh/id_rsa'
    - 'chmod 600 ~/.ssh/id_rsa'
    - '[[ -f /.dockerenv ]] && echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config'  
deploy_stage:
  stage: deploy
  environment: Staging
  only:
    - master
  script:
    - rsync -arv -e "ssh -i ~/.ssh/id_rsa" $SOURCE moovita@128.199.159.53:$DESTINATION --exclude .git --exclude node_modules --exclude vendor
    - ssh -i ~/.ssh/id_rsa moovita@128.199.159.53 "sudo systemctl restart mqtt.service"